    Program g01mtfe

!     G01MTF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: a00acf, g01mtf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: x, y
      Integer                          :: ifail
!     .. Executable Statements ..
      Write (nout,*) 'G01MTF Example Program Results'
      Write (nout,*)

!     Check for valid licence prior to calling G01MTF
      If (.Not. a00acf()) Then
        Write (nout,*) ' ** A valid licence key was not found'

      Else
!       Skip heading in data file
        Read (nin,*)

!       Display titles
        Write (nout,*) '  X          Y'
        Write (nout,*)

d_lp:   Do
          Read (nin,*,Iostat=ifail) x
          If (ifail/=0) Then
            Exit d_lp
          End If

!         Compute the value of the Landau density function
          y = g01mtf(x)

!         Display results
          Write (nout,99999) x, y
        End Do d_lp
      End If

99999 Format (1X,F4.1,3X,1P,E12.4)
    End Program g01mtfe
